* [gentoo-commits] proj/lisp:master commit in: dev-lisp/mcclim/
@ 2016-12-04 13:37 José María Alonso
0 siblings, 0 replies; 3+ messages in thread
From: José María Alonso @ 2016-12-04 13:37 UTC (permalink / raw
To: gentoo-commits
commit: 4f3c629db8cc25d9ac7f47d57501b06a944800bc
Author: Chema Alonso Josa <nimiux <AT> gentoo <DOT> org>
AuthorDate: Sun Dec 4 13:37:25 2016 +0000
Commit: José María Alonso <nimiux <AT> gentoo <DOT> org>
CommitDate: Sun Dec 4 13:37:25 2016 +0000
URL: https://gitweb.gentoo.org/proj/lisp.git/commit/?id=4f3c629d
dev-lisp/mcclim: Updates header
dev-lisp/mcclim/mcclim-0.9.6-r3.ebuild | 4 ++--
1 file changed, 2 insertions(+), 2 deletions(-)
diff --git a/dev-lisp/mcclim/mcclim-0.9.6-r3.ebuild b/dev-lisp/mcclim/mcclim-0.9.6-r3.ebuild
index 75df72f..79d97f1 100644
--- a/dev-lisp/mcclim/mcclim-0.9.6-r3.ebuild
+++ b/dev-lisp/mcclim/mcclim-0.9.6-r3.ebuild
@@ -1,6 +1,6 @@
-# Copyright 1999-2010 Gentoo Foundation
+# Copyright 1999-2016 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: $
+# $Id$
inherit common-lisp-2 elisp-common eutils
^ permalink raw reply related [flat|nested] 3+ messages in thread
* [gentoo-commits] proj/lisp:master commit in: dev-lisp/mcclim/
@ 2017-07-07 9:03 José María Alonso
0 siblings, 0 replies; 3+ messages in thread
From: José María Alonso @ 2017-07-07 9:03 UTC (permalink / raw
To: gentoo-commits
commit: ea48b4b5613b35d0f144b2b6f30dfaabd19a3739
Author: Chema Alonso Josa <nimiux <AT> gentoo <DOT> org>
AuthorDate: Fri Jul 7 09:03:46 2017 +0000
Commit: José María Alonso <nimiux <AT> gentoo <DOT> org>
CommitDate: Fri Jul 7 09:03:46 2017 +0000
URL: https://gitweb.gentoo.org/proj/lisp.git/commit/?id=ea48b4b5
dev-lisp/mcclim: Updates to common-lisp-3 eclass
dev-lisp/mcclim/mcclim-0.9.6-r3.ebuild | 25 +++++++++++++++----------
1 file changed, 15 insertions(+), 10 deletions(-)
diff --git a/dev-lisp/mcclim/mcclim-0.9.6-r3.ebuild b/dev-lisp/mcclim/mcclim-0.9.6-r3.ebuild
index 79d97f14..3c66a9e7 100644
--- a/dev-lisp/mcclim/mcclim-0.9.6-r3.ebuild
+++ b/dev-lisp/mcclim/mcclim-0.9.6-r3.ebuild
@@ -1,8 +1,9 @@
-# Copyright 1999-2016 Gentoo Foundation
+# Copyright 1999-2017 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Id$
-inherit common-lisp-2 elisp-common eutils
+EAPI=6
+
+inherit common-lisp-3 elisp-common eutils
DESCRIPTION="McCLIM is a free software implementation of CLIM."
HOMEPAGE="http://common-lisp.net/project/mcclim
@@ -42,27 +43,31 @@ ELISP_SOURCES="Tools/Emacs/indent-clim.el Tools/Emacs/hyperclim.el"
src_unpack() {
unpack ${A} && cd "${S}"
- epatch "${FILESDIR}"/${PV}-mcclim.asd-cmucl.patch
+}
+
+src_prepare() {
+ eapply "${FILESDIR}"/${PV}-mcclim.asd-cmucl.patch
+ eapply_user
}
src_compile() {
if use emacs ; then
- mv ${ELISP_SOURCES} .
+ mv ${ELISP_SOURCES} . || die
rm -rf Tools/Emacs
elisp-compile *.el
fi
if use doc ; then
- cd Spec/src
+ cd Spec/src || die
VARTEXFONTS="${T}"/fonts \
texi2pdf clim.tex -o clim.pdf || die "Cannot build PDF docs"
fi
}
src_install() {
- common-lisp-install *.{lisp,asd} Apps Backends Drei \
- ESA Examples Experimental Extensions Goatee \
- Images Lisp-Dep Looks Tests Tools
- common-lisp-symlink-asdf
+ common-lisp-install-sources *.lisp Apps Backends Drei ESA Examples \
+ Experimental Extensions Goatee Images \
+ Lisp-Dep Looks Tests Tools
+ common-lisp-install-asdf
if use emacs; then
elisp-install ${PN} *.el{,c}
elisp-site-file-install ${SITEFILE}
^ permalink raw reply related [flat|nested] 3+ messages in thread
* [gentoo-commits] proj/lisp:master commit in: dev-lisp/mcclim/
@ 2022-04-02 7:39 Ulrich Müller
0 siblings, 0 replies; 3+ messages in thread
From: Ulrich Müller @ 2022-04-02 7:39 UTC (permalink / raw
To: gentoo-commits
commit: b95f9aa7d075ddbb6a89a646475992251a40f14f
Author: Ulrich Müller <ulm <AT> gentoo <DOT> org>
AuthorDate: Sat Apr 2 07:37:50 2022 +0000
Commit: Ulrich Müller <ulm <AT> gentoo <DOT> org>
CommitDate: Sat Apr 2 07:37:50 2022 +0000
URL: https://gitweb.gentoo.org/proj/lisp.git/commit/?id=b95f9aa7
dev-lisp/mcclim: Drop ~sparc because of unkeyworded dependencies
Minor touchups to the ebuild.
Signed-off-by: Ulrich Müller <ulm <AT> gentoo.org>
dev-lisp/mcclim/mcclim-0.9.7.ebuild | 15 +++++++--------
1 file changed, 7 insertions(+), 8 deletions(-)
diff --git a/dev-lisp/mcclim/mcclim-0.9.7.ebuild b/dev-lisp/mcclim/mcclim-0.9.7.ebuild
index 8db7d16e..e59bdc46 100644
--- a/dev-lisp/mcclim/mcclim-0.9.7.ebuild
+++ b/dev-lisp/mcclim/mcclim-0.9.7.ebuild
@@ -1,25 +1,24 @@
-# Copyright 1999-2018 Gentoo Foundation
+# Copyright 1999-2022 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=6
-inherit common-lisp-3 elisp-common eutils
+inherit common-lisp-3 elisp-common
MY_PV="${PV}-imbolc"
DESCRIPTION="McCLIM is a free software implementation of CLIM."
-HOMEPAGE="http://common-lisp.net/project/mcclim
- http://cliki.net/McCLIM"
-SRC_URI="https://github.com/robert-strandh/McCLIM/archive/${MY_PV}.tar.gz -> ${P}.tar.gz"
+HOMEPAGE="https://mcclim.common-lisp.dev/
+ https://cliki.net/McCLIM"
+SRC_URI="https://github.com/McCLIM/McCLIM/archive/${MY_PV}.tar.gz -> ${P}.tar.gz"
LICENSE="LLGPL-2.1"
SLOT="0"
-KEYWORDS="~amd64 ~ppc ~sparc ~x86"
+KEYWORDS="~amd64 ~ppc ~x86"
IUSE="emacs doc"
DEPEND="doc? ( virtual/texi2dvi )"
-RDEPEND="!dev-lisp/cl-${PN}
- dev-lisp/spatial-trees
+RDEPEND="dev-lisp/spatial-trees
>=dev-lisp/flexichain-1.5.1
dev-lisp/clx
dev-lisp/cffi
^ permalink raw reply related [flat|nested] 3+ messages in thread
end of thread, other threads:[~2022-04-02 7:39 UTC | newest]
Thread overview: 3+ messages (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2016-12-04 13:37 [gentoo-commits] proj/lisp:master commit in: dev-lisp/mcclim/ José María Alonso
-- strict thread matches above, loose matches on Subject: below --
2017-07-07 9:03 José María Alonso
2022-04-02 7:39 Ulrich Müller
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox